from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard import modules

class DocumentDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': "Documents",
            'display': "tabs",
            'children': [
                DocumentModels(),
                DocumentOtherModels(),
                DocumentSettings(),
                DocumentPermissions(),
            ]
        }
        super(DocumentDashboard, self).__init__(**kwargs)

class DocumentModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Models"),
            'models': (
                'document.models.Document', 'document.models.DocumentProject',
                'document.models.Category', 'document.models.OtherCategory',
                'document.models.Tipology'
            ),
        }
        super(DocumentModels, self).__init__(**kwargs)

class DocumentOtherModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Others"),
            'models': (
                'document.models.DocumentUser', 'document.models.Link',
            ),
        }
        super(DocumentOtherModels, self).__init__(**kwargs)

class DocumentSettings(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Settings"),
            'models':['document.models.Settings',],
            }
        super(DocumentSettings, self).__init__(**kwargs)

class DocumentPermissions(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Permissions"),
            'models':['document.models.CategoryPermission',],
        }
        super(DocumentPermissions, self).__init__(**kwargs)