from django.conf import settings
from django.utils.translation import ugettext_lazy as _

CREATE_DEFAULT_PERMS = getattr(settings, "DOCUMENT_CREATE_DEFAULT_PERMS", True)
DEFAULT_PERMS = getattr(settings, 'DEFAULT_PERMS', (
            ("add_%s_documents",                       "Can add %s documents"),
            ("list_all_%s_documents",                  "Can list all %s documents"),
            ("list_group_%s_documents",                "Can list group %s documents"),
            ("list_organization_%s_documents",         "Can list organization %s documents"),
            ("list_own_%s_documents",                  "Can list own %s documents"),
            ("change_all_%s_documents",                "Can change all %s documents"),
            ("change_group_%s_documents",              "Can change group %s documents"),
            ("change_organization_%s_documents",       "Can change organization %s documents"),
            ("change_own_%s_documents",                "Can change own %s documents"),
            ("delete_all_%s_documents",                "Can delete all %s documents"),
            ("delete_group_%s_documents",              "Can delete group %s documents"),
            ("delete_organization_%s_documents",       "Can delete organization %s documents"),
            ("delete_own_%s_documents",                "Can delete own %s documents"),
            ("download_all_%s_documents",              "Can download all %s documents"),
            ("download_group_%s_documents",            "Can download group %s documents"),
            ("download_organization_%s_documents",     "Can download organization %s documents"),
            ("download_own_%s_documents",              "Can download own %s documents"),
))

STATUS_DOC = getattr(settings, 'STATUS_DOC', (
    ("CM", _("COMPLETED")),
    ("TC", _("TO COMPLETE")),
))

SUPPORTO_DOC = getattr(settings, 'SUPPORTO_DOC', (
    ("S", "SCANNER"),
    ("M", "MAIL"),
    ("F", "FAX"),
    ("W", "WEB"),
))

TYPE_PERM = getattr(settings, 'TYPE_PERM', (
    ('P', _('Personal')),
    ('G', _('Group')),
    ('A', _('All')),
))

DIRECTION_DOC = getattr(settings, 'DIRECTION_DOC', (
    ("I", "IN"),
    ("O", "OUT"),
))

DOCUMENT_PATH_DOCUMENTS = getattr(settings, 'DOCUMENT_PATH_DOCUMENTS', "documents/")
DOCUMENT_LOG_FILENAME = getattr(settings, 'DOCUMENT_LOG_FILENAME', "/tmp/jumbo_documents.log")
DOCUMENT_SCRIPT_USER = getattr(settings, 'DOCUMENT_SCRIPT_USER', "admin")

# PARAMETRI PER STAMPA ETICHETTE
DOCUMENT_PRINT_NAME = getattr(settings, 'DOCUMENT_PRINT_NAME', "")
PROTOCOL_NUMBER_FUNCTION = getattr(settings, 'PROTOCOL_NUMBER_FUNCTION', 'document.utils.get_new_protocol_number')

# MAIL INVIATE SE SELEZIONATE CATEGORIE A CUI INVIARE LA NOTIIFCA
DOCUMENT_MAIL_CATEGORY_FROM = getattr(settings, 'DOCUMENT_MAIL_CATEGORY_FROM', "document@localhost.it")
DOCUMENT_MAIL_CATEGORY_SUBJECT = getattr(settings, 'DOCUMENT_MAIL_CATEGORY_SUBJECT', _("The user %(user)s %(action)s the document %(document)s in the category %(category)s"))
